<template>
  <div>
    <h2 class="mb-12 text-center text-3xl font-extrabold text-gray-900">
      ورود یا ثبت نام
    </h2>

    <p class="mt-2 mb-2 text-sm text-gray-600">
      لطفا کد ارسال شده به شماره موبایل 09198829528 را وارد نمایید.
    </p>
    <div class="text-left mb-4">
      <p class="text-sm text-gray-400" @click="phoneEdit">ویرایش شماره تلفن</p>
    </div>
    <form class="space-y-6" @submit.prevent="createEvent">
      <div class="flex justify-around flex-row-reverse">
        <div class="mt-1 inline" v-for="(item, index) in 5" :key="index">
          <input
            :id="item"
            name="digit"
            type="number"
            v-on:keyup="moveToNext(item, item + 1)"
            data-maxlength="1"
            oninput="this.value=this.value.slice(0,this.dataset.maxlength)"
            v-model="codeVerified[item - 1]"
            required
            class="digit appearance-none text-center px-3 w-14 h-14 bg-[#f8f6f6] border-0 rounded-xl text-lg font-yekanBakh focus:outline-none focus:ring-[#ffc8c3] focus:border-[#ffc8c3] sm:text-sm"
          />

          <!-- <p class="error text-[#f03a4f] text-sm" v-if="!$v.codeVerified.minLength">
            شماره موبایل باید {{ $v.codeVerified.$params.minLength.min }} رقم باشد
          </p> -->
        </div>
      </div>
      <div class="text-left mb-4">
        <nuxt-link class="text-sm text-gray-400" to="/auth"
          >ارسال مجدد کد تا
          <span class="text-[#ffc8c3]"> 2:00 </span>
          دیگر</nuxt-link
        >
      </div>

      <contentButton> ادامه </contentButton>
    </form>
  </div>
</template>

<script>
export default {
  layout: 'auth',
  data() {
    return {
      codeVerified: [],
    }
  },
  methods: {
    createEvent() {
      if (this.show === 'login') {
        this.show = 'twoStepverification'
      } else if (this.show === 'twoStepverification') {
        console.log(this.phone)
        console.log(this.codeVerified)
        this.show = 'verified'
      }
    },
    moveToNext(elem, count) {
      console.log(elem)
      if (document.getElementById(elem).value.length > 0 && count <= 5) {
        document.getElementById(count).focus()
      }
    },
  },
  mounted() {
    if (this.show === 'twoStepverification') {
      document.getElementsByClassName('digit')[0].focus()
    }
  },
}
</script>

<style lang="scss" scoped></style>
